# Class Thelia\Model\om\BaseAdminQuery | thelia

# Class BaseAdminQuery

Base class that represents a query for the 'admin' table.

  ModelCriteria
  Thelia\Model\om\BaseAdminQuery

#### Direct known subclasses

Thelia\Model\AdminQuery
Abstract
Namespace: Thelia\Model\om
Package: propel\generator\Thelia\Model\om
Located at core/lib/Thelia/Model/om/BaseAdminQuery.php

Methods summary

`public`

# `__construct( string $dbName = 'thelia', string $modelName = 'Thelia\\Model\\Admin', string $modelAlias = null )`

Initializes internal state of BaseAdminQuery object.

Initializes internal state of BaseAdminQuery object.

#### Parameters

$dbName
  `string`
  $dbName The dabase name
$modelName
  `string`
  $modelName The phpName of a model, e.g. 'Book'
$modelAlias
  `string`
  $modelAlias The alias for the model in this query, e.g. 'b'

`public static `Thelia\Model\AdminQuery``

# `create( string $modelAlias = null, `Thelia\Model\AdminQuery`|Criteria $criteria = null )`

Returns a new AdminQuery object.

Returns a new AdminQuery object.

#### Parameters

$modelAlias
  `string`
  $modelAlias The alias of a model in the query
$criteria
  ``Thelia\Model\AdminQuery`|Criteria`
  $criteria Optional Criteria to build the query from

#### Returns

``Thelia\Model\AdminQuery``

`public `Thelia\Model\Admin`|`Thelia\Model\Admin[]`|mixed`

# `findPk( mixed $key, PropelPDO $con = null )`

Find object by primary key. Propel uses the instance pool to skip the database if the object exists. Go fast if the query is untouched.

Find object by primary key. Propel uses the instance pool to skip the database if the object exists. Go fast if the query is untouched.

    $obj  = $c->findPk(12, $con);

#### Parameters

$key
  `mixed`
  $key Primary key to use for the query
$con
  `PropelPDO`
  $con an optional connection object

#### Returns

``Thelia\Model\Admin`|`Thelia\Model\Admin[]`|mixed`
the result, formatted by the current formatter

`protected `Thelia\Model\Admin``

# `findPkSimple( mixed $key, PropelPDO $con )`

Find object by primary key using raw SQL to go fast. Bypass doSelect() and the object formatter by using generated code.

Find object by primary key using raw SQL to go fast. Bypass doSelect() and the object formatter by using generated code.

#### Parameters

$key
  `mixed`
  $key Primary key to use for the query
$con
  `PropelPDO`
  $con A connection object

#### Returns

``Thelia\Model\Admin``
A model object, or null if the key is not found

#### Throws

`PropelException`

`protected `Thelia\Model\Admin`|`Thelia\Model\Admin[]`|mixed`

# `findPkComplex( mixed $key, PropelPDO $con )`

Find object by primary key.

Find object by primary key.

#### Parameters

$key
  `mixed`
  $key Primary key to use for the query
$con
  `PropelPDO`
  $con A connection object

#### Returns

``Thelia\Model\Admin`|`Thelia\Model\Admin[]`|mixed`
the result, formatted by the current formatter

`public PropelObjectCollection|`Thelia\Model\Admin[]`|mixed`

# `findPks( array $keys, PropelPDO $con = null )`

Find objects by primary key

    $objs = $c->findPks(array(12, 56, 832), $con);

Find objects by primary key

    $objs = $c->findPks(array(12, 56, 832), $con);

#### Parameters

$keys
  `array`
  $keys Primary keys to use for the query
$con
  `PropelPDO`
  $con an optional connection object

#### Returns

`PropelObjectCollection|`Thelia\Model\Admin[]`|mixed`
the list of results, formatted by the current formatter

`public `Thelia\Model\AdminQuery``

# `filterByPrimaryKey( mixed $key )`

Filter the query by primary key

Filter the query by primary key

#### Parameters

$key
  `mixed`
  $key Primary key to use for the query

#### Returns

``Thelia\Model\AdminQuery``
The current query, for fluid interface

`public `Thelia\Model\AdminQuery``

# `filterByPrimaryKeys( array $keys )`

Filter the query by a list of primary keys

Filter the query by a list of primary keys

#### Parameters

$keys
  `array`
  $keys The list of primary key to use for the query

#### Returns

``Thelia\Model\AdminQuery``
The current query, for fluid interface

`public `Thelia\Model\AdminQuery``

# `filterById( mixed $id = null, string $comparison = null )`

Filter the query on the id column

Filter the query on the id column

Example usage:

    $query->filterById(1234); // WHERE id = 1234
    $query->filterById(array(12, 34)); // WHERE id IN (12, 34)
    $query->filterById(array('min' => 12)); // WHERE id > 12

#### Parameters

$id
  `mixed`
  $id The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\AdminQuery``
The current query, for fluid interface

`public `Thelia\Model\AdminQuery``

# `filterByFirstname( string $firstname = null, string $comparison = null )`

Filter the query on the firstname column

Filter the query on the firstname column

Example usage:

    $query->filterByFirstname('fooValue');   // WHERE firstname = 'fooValue'
    $query->filterByFirstname('%fooValue%'); // WHERE firstname LIKE '%fooValue%'

#### Parameters

$firstname
  `string`
  $firstname The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\AdminQuery``
The current query, for fluid interface

`public `Thelia\Model\AdminQuery``

# `filterByLastname( string $lastname = null, string $comparison = null )`

Filter the query on the lastname column

Filter the query on the lastname column

Example usage:

    $query->filterByLastname('fooValue');   // WHERE lastname = 'fooValue'
    $query->filterByLastname('%fooValue%'); // WHERE lastname LIKE '%fooValue%'

#### Parameters

$lastname
  `string`
  $lastname The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\AdminQuery``
The current query, for fluid interface

`public `Thelia\Model\AdminQuery``

# `filterByLogin( string $login = null, string $comparison = null )`

Filter the query on the login column

Filter the query on the login column

Example usage:

    $query->filterByLogin('fooValue');   // WHERE login = 'fooValue'
    $query->filterByLogin('%fooValue%'); // WHERE login LIKE '%fooValue%'

#### Parameters

$login
  `string`
  $login The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\AdminQuery``
The current query, for fluid interface

`public `Thelia\Model\AdminQuery``

# `filterByPassword( string $password = null, string $comparison = null )`

Filter the query on the password column

Filter the query on the password column

Example usage:

    $query->filterByPassword('fooValue');   // WHERE password = 'fooValue'
    $query->filterByPassword('%fooValue%'); // WHERE password LIKE '%fooValue%'

#### Parameters

$password
  `string`
  $password The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\AdminQuery``
The current query, for fluid interface

`public `Thelia\Model\AdminQuery``

# `filterByAlgo( string $algo = null, string $comparison = null )`

Filter the query on the algo column

Filter the query on the algo column

Example usage:

    $query->filterByAlgo('fooValue');   // WHERE algo = 'fooValue'
    $query->filterByAlgo('%fooValue%'); // WHERE algo LIKE '%fooValue%'

#### Parameters

$algo
  `string`
  $algo The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\AdminQuery``
The current query, for fluid interface

`public `Thelia\Model\AdminQuery``

# `filterBySalt( string $salt = null, string $comparison = null )`

Filter the query on the salt column

Filter the query on the salt column

Example usage:

    $query->filterBySalt('fooValue');   // WHERE salt = 'fooValue'
    $query->filterBySalt('%fooValue%'); // WHERE salt LIKE '%fooValue%'

#### Parameters

$salt
  `string`
  $salt The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\AdminQuery``
The current query, for fluid interface

`public `Thelia\Model\AdminQuery``

# `filterByCreatedAt( mixed $createdAt = null, string $comparison = null )`

Filter the query on the created_at column

Filter the query on the created_at column

Example usage:

    $query->filterByCreatedAt('2011-03-14'); // WHERE created_at = '2011-03-14'
    $query->filterByCreatedAt('now'); // WHERE created_at = '2011-03-14'
    $query->filterByCreatedAt(array('max' => 'yesterday')); // WHERE created_at > '2011-03-13'

#### Parameters

$createdAt
  `mixed`
  $createdAt The value to use as filter. Values can be integers (unix timestamps), DateTime objects, or strings. Empty strings are treated as NULL. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\AdminQuery``
The current query, for fluid interface

`public `Thelia\Model\AdminQuery``

# `filterByUpdatedAt( mixed $updatedAt = null, string $comparison = null )`

Filter the query on the updated_at column

Filter the query on the updated_at column

Example usage:

    $query->filterByUpdatedAt('2011-03-14'); // WHERE updated_at = '2011-03-14'
    $query->filterByUpdatedAt('now'); // WHERE updated_at = '2011-03-14'
    $query->filterByUpdatedAt(array('max' => 'yesterday')); // WHERE updated_at > '2011-03-13'

#### Parameters

$updatedAt
  `mixed`
  $updatedAt The value to use as filter. Values can be integers (unix timestamps), DateTime objects, or strings. Empty strings are treated as NULL. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\AdminQuery``
The current query, for fluid interface

`public `Thelia\Model\AdminQuery``

# `filterByAdminGroup( `Thelia\Model\AdminGroup`|PropelObjectCollection $adminGroup, string $comparison = null )`

Filter the query by a related AdminGroup object

Filter the query by a related AdminGroup object

#### Parameters

$adminGroup
  ``Thelia\Model\AdminGroup`|PropelObjectCollection`
  $adminGroup the related object to use as filter
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\AdminQuery``
The current query, for fluid interface

#### Throws

`PropelException`
- if the provided filter is invalid.

`public `Thelia\Model\AdminQuery``

# `joinAdminGroup( string $relationAlias = null, string $joinType = Thelia\Model\om\Criteria::LEFT_JOIN )`

Adds a JOIN clause to the query using the AdminGroup relation

Adds a JOIN clause to the query using the AdminGroup relation

#### Parameters

$relationAlias
  `string`
  $relationAlias optional alias for the relation
$joinType
  `string`
  $joinType Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

``Thelia\Model\AdminQuery``
The current query, for fluid interface

`public `Thelia\Model\AdminGroupQuery``

# `useAdminGroupQuery( string $relationAlias = null, string $joinType = Thelia\Model\om\Criteria::LEFT_JOIN )`

Use the AdminGroup relation AdminGroup object

Use the AdminGroup relation AdminGroup object

#### Parameters

$relationAlias
  `string`
  $relationAlias optional alias for the relation, to be used as main alias in the secondary query
$joinType
  `string`
  $joinType Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

``Thelia\Model\AdminGroupQuery``
A secondary query class using the current class as primary query

#### See

useQuery()

`public `Thelia\Model\AdminQuery``

# `prune( `Thelia\Model\Admin` $admin = null )`

Exclude object from result

Exclude object from result

#### Parameters

$admin
  ``Thelia\Model\Admin``
  $admin Object to remove from the list of results

#### Returns

``Thelia\Model\AdminQuery``
The current query, for fluid interface

`public `Thelia\Model\AdminQuery``

# `recentlyUpdated( integer $nbDays = 7 )`

Filter by the latest updated

Filter by the latest updated

#### Parameters

$nbDays
  `integer`
  $nbDays Maximum age of the latest update in days

#### Returns

``Thelia\Model\AdminQuery``
The current query, for fluid interface

`public `Thelia\Model\AdminQuery``

# `lastUpdatedFirst( )`

Order by update date desc

Order by update date desc

#### Returns

``Thelia\Model\AdminQuery``
The current query, for fluid interface

`public `Thelia\Model\AdminQuery``

# `firstUpdatedFirst( )`

Order by update date asc

Order by update date asc

#### Returns

``Thelia\Model\AdminQuery``
The current query, for fluid interface

`public `Thelia\Model\AdminQuery``

# `recentlyCreated( integer $nbDays = 7 )`

Filter by the latest created

Filter by the latest created

#### Parameters

$nbDays
  `integer`
  $nbDays Maximum age of in days

#### Returns

``Thelia\Model\AdminQuery``
The current query, for fluid interface

`public `Thelia\Model\AdminQuery``

# `lastCreatedFirst( )`

Order by create date desc

Order by create date desc

#### Returns

``Thelia\Model\AdminQuery``
The current query, for fluid interface

`public `Thelia\Model\AdminQuery``

# `firstCreatedFirst( )`

Order by create date asc

Order by create date asc

#### Returns

``Thelia\Model\AdminQuery``
The current query, for fluid interface

Magic methods summary

`public `Thelia\Model\AdminQuery``

# `orderById( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the id column

Order by the id column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\AdminQuery``

`public `Thelia\Model\AdminQuery``

# `orderByFirstname( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the firstname column

Order by the firstname column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\AdminQuery``

`public `Thelia\Model\AdminQuery``

# `orderByLastname( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the lastname column

Order by the lastname column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\AdminQuery``

`public `Thelia\Model\AdminQuery``

# `orderByLogin( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the login column

Order by the login column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\AdminQuery``

`public `Thelia\Model\AdminQuery``

# `orderByPassword( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the password column

Order by the password column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\AdminQuery``

`public `Thelia\Model\AdminQuery``

# `orderByAlgo( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the algo column

Order by the algo column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\AdminQuery``

`public `Thelia\Model\AdminQuery``

# `orderBySalt( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the salt column

Order by the salt column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\AdminQuery``

`public `Thelia\Model\AdminQuery``

# `orderByCreatedAt( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the created_at column

Order by the created_at column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\AdminQuery``

`public `Thelia\Model\AdminQuery``

# `orderByUpdatedAt( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the updated_at column

Order by the updated_at column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\AdminQuery``

`public `Thelia\Model\AdminQuery``

# `groupById( )`

Group by the id column

Group by the id column

#### Returns

``Thelia\Model\AdminQuery``

`public `Thelia\Model\AdminQuery``

# `groupByFirstname( )`

Group by the firstname column

Group by the firstname column

#### Returns

``Thelia\Model\AdminQuery``

`public `Thelia\Model\AdminQuery``

# `groupByLastname( )`

Group by the lastname column

Group by the lastname column

#### Returns

``Thelia\Model\AdminQuery``

`public `Thelia\Model\AdminQuery``

# `groupByLogin( )`

Group by the login column

Group by the login column

#### Returns

``Thelia\Model\AdminQuery``

`public `Thelia\Model\AdminQuery``

# `groupByPassword( )`

Group by the password column

Group by the password column

#### Returns

``Thelia\Model\AdminQuery``

`public `Thelia\Model\AdminQuery``

# `groupByAlgo( )`

Group by the algo column

Group by the algo column

#### Returns

``Thelia\Model\AdminQuery``

`public `Thelia\Model\AdminQuery``

# `groupBySalt( )`

Group by the salt column

Group by the salt column

#### Returns

``Thelia\Model\AdminQuery``

`public `Thelia\Model\AdminQuery``

# `groupByCreatedAt( )`

Group by the created_at column

Group by the created_at column

#### Returns

``Thelia\Model\AdminQuery``

`public `Thelia\Model\AdminQuery``

# `groupByUpdatedAt( )`

Group by the updated_at column

Group by the updated_at column

#### Returns

``Thelia\Model\AdminQuery``

`public `Thelia\Model\AdminQuery``

# `leftJoin( mixed $relation = )`

Adds a LEFT JOIN clause to the query

Adds a LEFT JOIN clause to the query

#### Parameters

$relation
  `mixed`
  $relation

#### Returns

``Thelia\Model\AdminQuery``

`public `Thelia\Model\AdminQuery``

# `rightJoin( mixed $relation = )`

Adds a RIGHT JOIN clause to the query

Adds a RIGHT JOIN clause to the query

#### Parameters

$relation
  `mixed`
  $relation

#### Returns

``Thelia\Model\AdminQuery``

`public `Thelia\Model\AdminQuery``

# `innerJoin( mixed $relation = )`

Adds a INNER JOIN clause to the query

Adds a INNER JOIN clause to the query

#### Parameters

$relation
  `mixed`
  $relation

#### Returns

``Thelia\Model\AdminQuery``

`public `Thelia\Model\AdminQuery``

# `leftJoinAdminGroup( mixed $relationAlias = null )`

Adds a LEFT JOIN clause to the query using the AdminGroup relation

Adds a LEFT JOIN clause to the query using the AdminGroup relation

#### Parameters

$relationAlias
  `mixed`
  $relationAlias

#### Returns

``Thelia\Model\AdminQuery``

`public `Thelia\Model\AdminQuery``

# `rightJoinAdminGroup( mixed $relationAlias = null )`

Adds a RIGHT JOIN clause to the query using the AdminGroup relation

Adds a RIGHT JOIN clause to the query using the AdminGroup relation

#### Parameters

$relationAlias
  `mixed`
  $relationAlias

#### Returns

``Thelia\Model\AdminQuery``

`public `Thelia\Model\AdminQuery``

# `innerJoinAdminGroup( mixed $relationAlias = null )`

Adds a INNER JOIN clause to the query using the AdminGroup relation

Adds a INNER JOIN clause to the query using the AdminGroup relation

#### Parameters

$relationAlias
  `mixed`
  $relationAlias

#### Returns

``Thelia\Model\AdminQuery``

`public `Thelia\Model\Admin``

# `findOne( PropelPDO $con = null )`

Return the first Admin matching the query

Return the first Admin matching the query

#### Parameters

$con
  `PropelPDO`
  $con

#### Returns

``Thelia\Model\Admin``

`public `Thelia\Model\Admin``

# `findOneOrCreate( PropelPDO $con = null )`

Return the first Admin matching the query, or a new Admin object populated from the query conditions when no match is found

Return the first Admin matching the query, or a new Admin object populated from the query conditions when no match is found

#### Parameters

$con
  `PropelPDO`
  $con

#### Returns

``Thelia\Model\Admin``

`public `Thelia\Model\Admin``

# `findOneById( integer $id = )`

Return the first Admin filtered by the id column

Return the first Admin filtered by the id column

#### Parameters

$id
  `integer`
  $id

#### Returns

``Thelia\Model\Admin``

`public `Thelia\Model\Admin``

# `findOneByFirstname( string $firstname = )`

Return the first Admin filtered by the firstname column

Return the first Admin filtered by the firstname column

#### Parameters

$firstname
  `string`
  $firstname

#### Returns

``Thelia\Model\Admin``

`public `Thelia\Model\Admin``

# `findOneByLastname( string $lastname = )`

Return the first Admin filtered by the lastname column

Return the first Admin filtered by the lastname column

#### Parameters

$lastname
  `string`
  $lastname

#### Returns

``Thelia\Model\Admin``

`public `Thelia\Model\Admin``

# `findOneByLogin( string $login = )`

Return the first Admin filtered by the login column

Return the first Admin filtered by the login column

#### Parameters

$login
  `string`
  $login

#### Returns

``Thelia\Model\Admin``

`public `Thelia\Model\Admin``

# `findOneByPassword( string $password = )`

Return the first Admin filtered by the password column

Return the first Admin filtered by the password column

#### Parameters

$password
  `string`
  $password

#### Returns

``Thelia\Model\Admin``

`public `Thelia\Model\Admin``

# `findOneByAlgo( string $algo = )`

Return the first Admin filtered by the algo column

Return the first Admin filtered by the algo column

#### Parameters

$algo
  `string`
  $algo

#### Returns

``Thelia\Model\Admin``

`public `Thelia\Model\Admin``

# `findOneBySalt( string $salt = )`

Return the first Admin filtered by the salt column

Return the first Admin filtered by the salt column

#### Parameters

$salt
  `string`
  $salt

#### Returns

``Thelia\Model\Admin``

`public `Thelia\Model\Admin``

# `findOneByCreatedAt( string $created_at = )`

Return the first Admin filtered by the created_at column

Return the first Admin filtered by the created_at column

#### Parameters

$created_at
  `string`
  $created_at

#### Returns

``Thelia\Model\Admin``

`public `Thelia\Model\Admin``

# `findOneByUpdatedAt( string $updated_at = )`

Return the first Admin filtered by the updated_at column

Return the first Admin filtered by the updated_at column

#### Parameters

$updated_at
  `string`
  $updated_at

#### Returns

``Thelia\Model\Admin``

`public array`

# `findById( integer $id = )`

Return Admin objects filtered by the id column

Return Admin objects filtered by the id column

#### Parameters

$id
  `integer`
  $id

#### Returns

`array`

`public array`

# `findByFirstname( string $firstname = )`

Return Admin objects filtered by the firstname column

Return Admin objects filtered by the firstname column

#### Parameters

$firstname
  `string`
  $firstname

#### Returns

`array`

`public array`

# `findByLastname( string $lastname = )`

Return Admin objects filtered by the lastname column

Return Admin objects filtered by the lastname column

#### Parameters

$lastname
  `string`
  $lastname

#### Returns

`array`

`public array`

# `findByLogin( string $login = )`

Return Admin objects filtered by the login column

Return Admin objects filtered by the login column

#### Parameters

$login
  `string`
  $login

#### Returns

`array`

`public array`

# `findByPassword( string $password = )`

Return Admin objects filtered by the password column

Return Admin objects filtered by the password column

#### Parameters

$password
  `string`
  $password

#### Returns

`array`

`public array`

# `findByAlgo( string $algo = )`

Return Admin objects filtered by the algo column

Return Admin objects filtered by the algo column

#### Parameters

$algo
  `string`
  $algo

#### Returns

`array`

`public array`

# `findBySalt( string $salt = )`

Return Admin objects filtered by the salt column

Return Admin objects filtered by the salt column

#### Parameters

$salt
  `string`
  $salt

#### Returns

`array`

`public array`

# `findByCreatedAt( string $created_at = )`

Return Admin objects filtered by the created_at column

Return Admin objects filtered by the created_at column

#### Parameters

$created_at
  `string`
  $created_at

#### Returns

`array`

`public array`

# `findByUpdatedAt( string $updated_at = )`

Return Admin objects filtered by the updated_at column

Return Admin objects filtered by the updated_at column

#### Parameters

$updated_at
  `string`
  $updated_at

#### Returns

`array`